package com.tenlionsoft.baselib.core.widget.views;

import android.app.ProgressDialog;
import android.content.Context;

public class LoadingDialog extends ProgressDialog {

    public LoadingDialog(Context context) {
        super(context);
        this.setMessage("正在加载...");
        this.setCancelable(false);
        this.setCanceledOnTouchOutside(false);
    }

    public LoadingDialog setLoadingText(String hint) {
        this.setMessage(hint);
        return this;
    }

    public void showDialog() {
        this.show();
    }

    public void disDialog() {
        this.dismiss();
    }
}
